明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1598|回复: 0

[原创]缩放圆VBA源码

[复制链接]
发表于 2007-4-21 15:01:00 | 显示全部楼层 |阅读模式

Private Sub CommandButton1_Click()
UserForm1.Hide
On Error Resume Next
    Dim sset As AcadSelectionSet
    If Not IsNull(ThisDrawing.SelectionSets.Item("Example")) Then
        Set sset = ThisDrawing.SelectionSets.Item("Example")
        sset.Delete
    End If
    Set sset = ThisDrawing.SelectionSets.Add("Example")
sset.SelectOnScreen

' 在选择集中循环并将每一对象的颜色改为蓝色。
Dim entry As AcadEntity
For Each entry In sset
entry.color = acRed
entry.Offset (CDbl(UserForm1.TextBox1.text))
entry.color = acWhite
entry.Update
Next entry
  If UserForm8.CheckBox1.Value = True Then
    For Each element In sset
      element.Delete
    Next
  End If
    sset.Delete
    End
End Sub

------------------------------------

上面VBA代码,怎样可以改成VB代码,明经兄弟请帮忙

------------------------------------------

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 18:49 , Processed in 0.169179 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表